<?php
error_reporting(E_ALL);
date_default_timezone_set('PRC');
 
require_once("global.php");
if($Config["LAN"]== "CH")
	require_once("lan_ch.php");
else
	require_once("lan_en.php");
	
require_once("functions.php");
require_once("class.db.php");
require_once("class.upload.php");
require_once("class.rpc.php");
require_once("class.smtp.php");
require_once("class.phpmailer.php");
require_once("config.func.php");

//页面显示配置
RegisterView('no_grade', 'view/view.no_grade.php', "无操作权限");
RegisterView('view_user', 'view/view.user.php', "用户管理");
RegisterView('view_flow', 'view/view.flow.php', "流程设计");
RegisterView('view_project', 'view/view.project.php', "项目配置");
RegisterView('view_release', 'view/view.release.php', "版本发布");
RegisterView('issue_files', 'view/view.files.php', "文件管理");
RegisterView('issue_create', 'view/view.issue_create.php', "新建事务");
RegisterView('issue_info', 'view/view.issue_info.php', "事务信息");
RegisterView('issue_list', 'view/view.issue_list.php', "事务视图");
RegisterView('issue_query', 'view/view.issue_query.php', "事务查询");
RegisterView('issue_delte', 'view/view.issue_delete.php', "事务删除成功");
RegisterView('user_info', 'view/view.user_info.php', "用户信息");


//对话框配置
RegisterDialog('dlg_dept', 'dlg.dept.php', '部门设置');
RegisterDialog('dlg_role', 'dlg.role.php', '角色设置');
RegisterDialog('dlg_user', 'dlg.user.php', '用户设置');
RegisterDialog('dlg_state', 'dlg.state.php', '状态设置');
RegisterDialog('dlg_action', 'dlg.action.php', '动作设置');
RegisterDialog('dlg_saveflow', 'dlg.flow_save.php', '保存流程');
RegisterDialog('dlg_project', 'dlg.project.php', '项目设置');
RegisterDialog('dlg_issuetype', 'dlg.issuetype.php', '事务类型');
RegisterDialog('dlg_workgroup', 'dlg.workgroup.php', '工作组');
RegisterDialog('dlg_module', 'dlg.module.php', '项目模块');
RegisterDialog('dlg_fields', 'dlg.fields.php', '项目字段');
RegisterDialog('dlg_action_member', 'dlg.action_member.php', '事务处理人员');
RegisterDialog('dlg_action_field', 'dlg.action_field.php', '字段编辑规则');
RegisterDialog('dlg_issue', 'dlg.issue_action.php', '事务处理');
RegisterDialog('dlg_comment', 'dlg.issue_comment.php', '事务评论');
RegisterDialog('dlg_querysave', 'dlg.query_save.php', '保存查询视图');
RegisterDialog('dlg_edit', 'dlg.issue_edit.php', '编辑事务');
RegisterDialog('dlg_attach', 'dlg.issue_attach.php', '添加事务附件');
RegisterDialog('dlg_tran', 'dlg.issue_tran.php', '事务转移');
RegisterDialog('dlg_build', 'dlg.version_build.php', '构建版本');
RegisterDialog('dlg_release', 'dlg.version_release.php', '发布版本');


//action配置
RegisterAction('do_login', 'action/action.login.php', 'CActionLogin');
RegisterAction('cfg_dept', 'action/action.config_dept.php', 'CActionConfigDept');
RegisterAction('cfg_role', 'action/action.config_role.php', 'CActionConfigRole');
RegisterAction('cfg_user', 'action/action.config_user.php', 'CActionConfigUser');
RegisterAction('cfg_flow', 'action/action.config_flow.php', 'CActionConfigFlow');
RegisterAction('cfg_project', 'action/action.config_project.php', 'CActionConfigProject');
RegisterAction('cfg_project_issuetype', 'action/action.config_project_issuetype.php', 'CActionConfigProjectIssuetype');
RegisterAction('cfg_workgroup', 'action/action.config_project_workgroup.php', 'CActionConfigWorkGroup');
RegisterAction('cfg_module', 'action/action.config_project_module.php', 'CActionConfigModule');
RegisterAction('cfg_fields', 'action/action.config_project_fields.php', 'CActionConfigFields');
RegisterAction('cfg_actionmember', 'action/action.config_action_member.php', 'CActionConfigActionMember');
RegisterAction('cfg_actionfield', 'action/action.config_action_field.php', 'CActionConfigActionField');
RegisterAction('do_issue', 'action/action.issue.php', 'CActionIssue');
RegisterAction('issue_comment', 'action/action.comment.php', 'CCommentIssue');
RegisterAction('issue_query', 'action/action.query.php', 'CActionQuery');
RegisterAction('query_save', 'action/action.query_save.php', 'CActionQuerySave');
RegisterAction('build_server', 'action/action.build_server.php', 'CActionBuildServer');

?>